window.Gleam.initSearch([{"doc":"discord_gleam","title":"discord_gleam","content":"# discord_gleam\n\n[![Package Version](https://img.shields.io/hexpm/v/discord_gleam)](https://hex.pm/packages/discord_gleam)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/discord_gleam/)\n\n```sh\ngleam add discord_gleam\n```\n\n```gleam\nimport discord_gleam\nimport discord_gleam/event_handler\nimport discord_gleam/types/message\nimport gleam/list\nimport gleam/string\nimport logging\n\npub fn main() {\n  logging.configure()\n  logging.set_level(logging.Info)\n\n  let bot = discord_gleam.bot(&quot;YOUR TOKEN&quot;)\n\n  discord_gleam.run(bot, [event_handler])\n}\n\nfn event_handler(bot, packet: event_handler.Packet) {\n  case packet {\n    event_handler.MessagePacket(message) -&gt; {\n      logging.log(logging.Info, &quot;Message: &quot; &lt;&gt; message.d.content)\n      case message.d.content {\n        &quot;!ping&quot; -&gt; {\n          discord_gleam.send_message(bot, message.d.channel_id, &quot;Pong!&quot;, [])\n        }\n        _ -&gt; Nil\n      }\n    }\n    _ -&gt; Nil\n  }\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/discord_gleam&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n\n## Features:\n\n| Feature              | Status |\n| -------------------- | ------ |\n| Basic events         | ✅     |\n| More events          | 🔨     |\n| Sending messages     | ✅     |\n| Ban/kick             | ✅     |\n| Deleting messages    | ✅     |\n| Embeds               | ✅     |\n| Basic Slash commands | ✅     |\n\n✅ - Done | 🔨 - In Progress | 📆 - Planned | ❌ - Not Planned\n\n## Supported events:\n\n- READY\n- MESSAGE_CREATE\n- MESSAGE_DELETE\n- INTERACTION_CREATE\n","url":"index.html"},{"doc":"discord_gleam/types/bot","title":"Bot","content":"pub type Bot {\n  Bot(token: String)\n}\n\nBot(token: String)\n\n\nSynonyms:\ndiscord_gleam/types/bot.Bot\ndiscord_gleam/types/bot Bot","url":"discord_gleam/types/bot.html#Bot"},{"doc":"discord_gleam/types/bot","title":"discord_gleam/types/bot","content":"","url":"discord_gleam/types/bot.html"},{"doc":"discord_gleam/ws/packets/generic","title":"GenericPacket","content":"pub type GenericPacket {\n  GenericPacket(t: String, s: Int, op: Int)\n}\n\nGenericPacket(t: String, s: Int, op: Int)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/generic.GenericPacket\ndiscord_gleam/ws/packets/generic GenericPacket","url":"discord_gleam/ws/packets/generic.html#GenericPacket"},{"doc":"discord_gleam/ws/packets/generic","title":"string_to_data","content":"pub fn string_to_data(encoded: String) -&gt; GenericPacket\n\nSynonyms:\ndiscord_gleam/ws/packets/generic.string_to_data\ndiscord_gleam/ws/packets/generic string_to_data","url":"discord_gleam/ws/packets/generic.html#string_to_data"},{"doc":"discord_gleam/ws/packets/generic","title":"discord_gleam/ws/packets/generic","content":"","url":"discord_gleam/ws/packets/generic.html"},{"doc":"discord_gleam/discord/snowflake","title":"Snowflake","content":"pub type Snowflake =\n  String\n See https://discord.com/developers/docs/reference#snowflakes\n\nSynonyms:\ndiscord_gleam/discord/snowflake.Snowflake\ndiscord_gleam/discord/snowflake Snowflake","url":"discord_gleam/discord/snowflake.html#Snowflake"},{"doc":"discord_gleam/discord/snowflake","title":"from_dynamic","content":"pub fn from_dynamic(\n  dyn: Dynamic,\n) -&gt; Result(String, List(DecodeError))\n\nSynonyms:\ndiscord_gleam/discord/snowflake.from_dynamic\ndiscord_gleam/discord/snowflake from_dynamic","url":"discord_gleam/discord/snowflake.html#from_dynamic"},{"doc":"discord_gleam/discord/snowflake","title":"discord_gleam/discord/snowflake","content":"","url":"discord_gleam/discord/snowflake.html"},{"doc":"discord_gleam/types/slash_command","title":"CommandOption","content":"pub type CommandOption {\n  CommandOption(\n    name: String,\n    description: String,\n    type_: Int,\n    required: Bool,\n  )\n}\n\nCommandOption(\n  name: String,\n  description: String,\n  type_: Int,\n  required: Bool,\n)\n\n\nSynonyms:\ndiscord_gleam/types/slash_command.CommandOption\ndiscord_gleam/types/slash_command CommandOption","url":"discord_gleam/types/slash_command.html#CommandOption"},{"doc":"discord_gleam/types/slash_command","title":"SlashCommand","content":"pub type SlashCommand {\n  SlashCommand(\n    name: String,\n    type_: Int,\n    description: String,\n    options: List(CommandOption),\n  )\n}\n\nSlashCommand(\n  name: String,\n  type_: Int,\n  description: String,\n  options: List(CommandOption),\n)\n\n\nSynonyms:\ndiscord_gleam/types/slash_command.SlashCommand\ndiscord_gleam/types/slash_command SlashCommand","url":"discord_gleam/types/slash_command.html#SlashCommand"},{"doc":"discord_gleam/types/slash_command","title":"command_to_string","content":"pub fn command_to_string(raw: SlashCommand) -&gt; String\n\nSynonyms:\ndiscord_gleam/types/slash_command.command_to_string\ndiscord_gleam/types/slash_command command_to_string","url":"discord_gleam/types/slash_command.html#command_to_string"},{"doc":"discord_gleam/types/slash_command","title":"make_basic_text_reply","content":"pub fn make_basic_text_reply(\n  message: String,\n  ephemeral: Bool,\n) -&gt; String\n\nSynonyms:\ndiscord_gleam/types/slash_command.make_basic_text_reply\ndiscord_gleam/types/slash_command make_basic_text_reply","url":"discord_gleam/types/slash_command.html#make_basic_text_reply"},{"doc":"discord_gleam/types/slash_command","title":"options_to_string","content":"pub fn options_to_string(option: CommandOption) -&gt; Json\n\nSynonyms:\ndiscord_gleam/types/slash_command.options_to_string\ndiscord_gleam/types/slash_command options_to_string","url":"discord_gleam/types/slash_command.html#options_to_string"},{"doc":"discord_gleam/types/slash_command","title":"discord_gleam/types/slash_command","content":"","url":"discord_gleam/types/slash_command.html"},{"doc":"discord_gleam/types/user","title":"User","content":"pub type User {\n  PartialUser(\n    id: Snowflake,\n    username: String,\n    discriminator: String,\n    avatar: Option(String),\n  )\n  FullUser(\n    id: Snowflake,\n    username: String,\n    discriminator: String,\n    avatar: Option(String),\n    bot: Bool,\n    system: Bool,\n    mfa_enabled: Bool,\n    banner: Option(String),\n    accent_color: Option(Int),\n    verified: Bool,\n    email: Option(String),\n    flags: Int,\n    premium_type: Int,\n    public_flags: Int,\n  )\n}\n User object containing PartialUser and FullUser\nPartialUser(\n  id: Snowflake,\n  username: String,\n  discriminator: String,\n  avatar: Option(String),\n)\n\n\nFullUser(\n  id: Snowflake,\n  username: String,\n  discriminator: String,\n  avatar: Option(String),\n  bot: Bool,\n  system: Bool,\n  mfa_enabled: Bool,\n  banner: Option(String),\n  accent_color: Option(Int),\n  verified: Bool,\n  email: Option(String),\n  flags: Int,\n  premium_type: Int,\n  public_flags: Int,\n)\n\n\nSynonyms:\ndiscord_gleam/types/user.User\ndiscord_gleam/types/user User","url":"discord_gleam/types/user.html#User"},{"doc":"discord_gleam/types/user","title":"from_json_string","content":"pub fn from_json_string(\n  encoded: String,\n) -&gt; Result(User, DiscordError)\n Decode a string to a PartialUser\nSynonyms:\ndiscord_gleam/types/user.from_json_string\ndiscord_gleam/types/user from_json_string","url":"discord_gleam/types/user.html#from_json_string"},{"doc":"discord_gleam/types/user","title":"discord_gleam/types/user","content":"","url":"discord_gleam/types/user.html"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"InteractionCommand","content":"pub type InteractionCommand {\n  InteractionCommand(type_: Int, name: String, id: Snowflake)\n}\n\nInteractionCommand(type_: Int, name: String, id: Snowflake)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/interaction_create.InteractionCommand\ndiscord_gleam/ws/packets/interaction_create InteractionCommand","url":"discord_gleam/ws/packets/interaction_create.html#InteractionCommand"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"InteractionCreate","content":"pub type InteractionCreate {\n  InteractionCreate(\n    t: String,\n    s: Int,\n    op: Int,\n    d: InteractionCreateData,\n  )\n}\n\nInteractionCreate(\n  t: String,\n  s: Int,\n  op: Int,\n  d: InteractionCreateData,\n)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/interaction_create.InteractionCreate\ndiscord_gleam/ws/packets/interaction_create InteractionCreate","url":"discord_gleam/ws/packets/interaction_create.html#InteractionCreate"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"InteractionCreateData","content":"pub type InteractionCreateData {\n  InteractionCreateData(\n    token: String,\n    member: InteractionCreateMember,\n    id: Snowflake,\n    guild_id: Snowflake,\n    data: InteractionCommand,\n    channel_id: Snowflake,\n  )\n}\n\nInteractionCreateData(\n  token: String,\n  member: InteractionCreateMember,\n  id: Snowflake,\n  guild_id: Snowflake,\n  data: InteractionCommand,\n  channel_id: Snowflake,\n)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/interaction_create.InteractionCreateData\ndiscord_gleam/ws/packets/interaction_create InteractionCreateData","url":"discord_gleam/ws/packets/interaction_create.html#InteractionCreateData"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"InteractionCreateMember","content":"pub type InteractionCreateMember {\n  InteractionCreateMember(user: InteractionUser)\n}\n\nInteractionCreateMember(user: InteractionUser)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/interaction_create.InteractionCreateMember\ndiscord_gleam/ws/packets/interaction_create InteractionCreateMember","url":"discord_gleam/ws/packets/interaction_create.html#InteractionCreateMember"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"InteractionOption","content":"pub type InteractionOption {\n  InteractionOption(\n    name: String,\n    type_: Int,\n    description: String,\n  )\n}\n\nInteractionOption(name: String, type_: Int, description: String)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/interaction_create.InteractionOption\ndiscord_gleam/ws/packets/interaction_create InteractionOption","url":"discord_gleam/ws/packets/interaction_create.html#InteractionOption"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"InteractionUser","content":"pub type InteractionUser {\n  InteractionUser(username: String, id: Snowflake)\n}\n\nInteractionUser(username: String, id: Snowflake)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/interaction_create.InteractionUser\ndiscord_gleam/ws/packets/interaction_create InteractionUser","url":"discord_gleam/ws/packets/interaction_create.html#InteractionUser"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"string_to_data","content":"pub fn string_to_data(\n  encoded: String,\n) -&gt; Result(InteractionCreate, String)\n\nSynonyms:\ndiscord_gleam/ws/packets/interaction_create.string_to_data\ndiscord_gleam/ws/packets/interaction_create string_to_data","url":"discord_gleam/ws/packets/interaction_create.html#string_to_data"},{"doc":"discord_gleam/ws/packets/interaction_create","title":"discord_gleam/ws/packets/interaction_create","content":"","url":"discord_gleam/ws/packets/interaction_create.html"},{"doc":"discord_gleam/ws/packets/message","title":"MessageAuthor","content":"pub type MessageAuthor {\n  MessageAuthor(id: Snowflake, username: String)\n}\n\nMessageAuthor(id: Snowflake, username: String)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/message.MessageAuthor\ndiscord_gleam/ws/packets/message MessageAuthor","url":"discord_gleam/ws/packets/message.html#MessageAuthor"},{"doc":"discord_gleam/ws/packets/message","title":"MessagePacket","content":"pub type MessagePacket {\n  MessagePacket(t: String, s: Int, op: Int, d: MessagePacketData)\n}\n\nMessagePacket(t: String, s: Int, op: Int, d: MessagePacketData)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/message.MessagePacket\ndiscord_gleam/ws/packets/message MessagePacket","url":"discord_gleam/ws/packets/message.html#MessagePacket"},{"doc":"discord_gleam/ws/packets/message","title":"MessagePacketData","content":"pub type MessagePacketData {\n  MessagePacketData(\n    content: String,\n    id: String,\n    guild_id: Snowflake,\n    channel_id: Snowflake,\n    author: MessageAuthor,\n  )\n}\n\nMessagePacketData(\n  content: String,\n  id: String,\n  guild_id: Snowflake,\n  channel_id: Snowflake,\n  author: MessageAuthor,\n)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/message.MessagePacketData\ndiscord_gleam/ws/packets/message MessagePacketData","url":"discord_gleam/ws/packets/message.html#MessagePacketData"},{"doc":"discord_gleam/ws/packets/message","title":"string_to_data","content":"pub fn string_to_data(\n  encoded: String,\n) -&gt; Result(MessagePacket, String)\n\nSynonyms:\ndiscord_gleam/ws/packets/message.string_to_data\ndiscord_gleam/ws/packets/message string_to_data","url":"discord_gleam/ws/packets/message.html#string_to_data"},{"doc":"discord_gleam/ws/packets/message","title":"discord_gleam/ws/packets/message","content":"","url":"discord_gleam/ws/packets/message.html"},{"doc":"discord_gleam/ws/packets/message_delete","title":"MessageDeletePacket","content":"pub type MessageDeletePacket {\n  MessageDeletePacket(\n    t: String,\n    s: Int,\n    op: Int,\n    d: MessageDeletePacketData,\n  )\n}\n\nMessageDeletePacket(\n  t: String,\n  s: Int,\n  op: Int,\n  d: MessageDeletePacketData,\n)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/message_delete.MessageDeletePacket\ndiscord_gleam/ws/packets/message_delete MessageDeletePacket","url":"discord_gleam/ws/packets/message_delete.html#MessageDeletePacket"},{"doc":"discord_gleam/ws/packets/message_delete","title":"MessageDeletePacketData","content":"pub type MessageDeletePacketData {\n  MessageDeletePacketData(\n    id: Snowflake,\n    guild_id: Snowflake,\n    channel_id: Snowflake,\n  )\n}\n\nMessageDeletePacketData(\n  id: Snowflake,\n  guild_id: Snowflake,\n  channel_id: Snowflake,\n)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/message_delete.MessageDeletePacketData\ndiscord_gleam/ws/packets/message_delete MessageDeletePacketData","url":"discord_gleam/ws/packets/message_delete.html#MessageDeletePacketData"},{"doc":"discord_gleam/ws/packets/message_delete","title":"string_to_data","content":"pub fn string_to_data(\n  encoded: String,\n) -&gt; Result(MessageDeletePacket, String)\n\nSynonyms:\ndiscord_gleam/ws/packets/message_delete.string_to_data\ndiscord_gleam/ws/packets/message_delete string_to_data","url":"discord_gleam/ws/packets/message_delete.html#string_to_data"},{"doc":"discord_gleam/ws/packets/message_delete","title":"discord_gleam/ws/packets/message_delete","content":"","url":"discord_gleam/ws/packets/message_delete.html"},{"doc":"discord_gleam/ws/packets/ready","title":"ReadyData","content":"pub type ReadyData {\n  ReadyData(v: Int, user: ReadyUser)\n}\n\nReadyData(v: Int, user: ReadyUser)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/ready.ReadyData\ndiscord_gleam/ws/packets/ready ReadyData","url":"discord_gleam/ws/packets/ready.html#ReadyData"},{"doc":"discord_gleam/ws/packets/ready","title":"ReadyPacket","content":"pub type ReadyPacket {\n  ReadyPacket(t: String, s: Int, op: Int, d: ReadyData)\n}\n\nReadyPacket(t: String, s: Int, op: Int, d: ReadyData)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/ready.ReadyPacket\ndiscord_gleam/ws/packets/ready ReadyPacket","url":"discord_gleam/ws/packets/ready.html#ReadyPacket"},{"doc":"discord_gleam/ws/packets/ready","title":"ReadyUser","content":"pub type ReadyUser {\n  ReadyUser(\n    username: String,\n    id: Snowflake,\n    discriminator: String,\n    bot: Bool,\n  )\n}\n\nReadyUser(\n  username: String,\n  id: Snowflake,\n  discriminator: String,\n  bot: Bool,\n)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/ready.ReadyUser\ndiscord_gleam/ws/packets/ready ReadyUser","url":"discord_gleam/ws/packets/ready.html#ReadyUser"},{"doc":"discord_gleam/ws/packets/ready","title":"string_to_data","content":"pub fn string_to_data(\n  encoded: String,\n) -&gt; Result(ReadyPacket, String)\n\nSynonyms:\ndiscord_gleam/ws/packets/ready.string_to_data\ndiscord_gleam/ws/packets/ready string_to_data","url":"discord_gleam/ws/packets/ready.html#string_to_data"},{"doc":"discord_gleam/ws/packets/ready","title":"discord_gleam/ws/packets/ready","content":"","url":"discord_gleam/ws/packets/ready.html"},{"doc":"discord_gleam/event_handler","title":"EventHandler","content":"pub type EventHandler =\n  fn(bot.Bot, Packet) -&gt; Nil\n\n\nSynonyms:\ndiscord_gleam/event_handler.EventHandler\ndiscord_gleam/event_handler EventHandler","url":"discord_gleam/event_handler.html#EventHandler"},{"doc":"discord_gleam/event_handler","title":"Packet","content":"pub type Packet {\n  MessagePacket(message.MessagePacket)\n  ReadyPacket(ready.ReadyPacket)\n  UnknownPacket(generic.GenericPacket)\n  MessageDeletePacket(message_delete.MessageDeletePacket)\n  InteractionCreate(interaction_create.InteractionCreate)\n}\n\nMessagePacket(message.MessagePacket)\n\n\nReadyPacket(ready.ReadyPacket)\n\n\nUnknownPacket(generic.GenericPacket)\n\n\nMessageDeletePacket(message_delete.MessageDeletePacket)\n\n\nInteractionCreate(interaction_create.InteractionCreate)\n\n\nSynonyms:\ndiscord_gleam/event_handler.Packet\ndiscord_gleam/event_handler Packet","url":"discord_gleam/event_handler.html#Packet"},{"doc":"discord_gleam/event_handler","title":"handle_event","content":"pub fn handle_event(\n  bot: Bot,\n  msg: String,\n  handlers: List(fn(Bot, Packet) -&gt; Nil),\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam/event_handler.handle_event\ndiscord_gleam/event_handler handle_event","url":"discord_gleam/event_handler.html#handle_event"},{"doc":"discord_gleam/event_handler","title":"discord_gleam/event_handler","content":"","url":"discord_gleam/event_handler.html"},{"doc":"discord_gleam/http/request","title":"new","content":"pub fn new(method: Method, path: String) -&gt; Request(String)\n\nSynonyms:\ndiscord_gleam/http/request.new\ndiscord_gleam/http/request new","url":"discord_gleam/http/request.html#new"},{"doc":"discord_gleam/http/request","title":"new_auth","content":"pub fn new_auth(\n  method: Method,\n  path: String,\n  token: String,\n) -&gt; Request(String)\n Some endpoints requires token authentication\nSynonyms:\ndiscord_gleam/http/request.new_auth\ndiscord_gleam/http/request new_auth","url":"discord_gleam/http/request.html#new_auth"},{"doc":"discord_gleam/http/request","title":"new_auth_post","content":"pub fn new_auth_post(\n  method: Method,\n  path: String,\n  token: String,\n  data: String,\n) -&gt; Request(String)\n We have this to send post requests with token authentication\nSynonyms:\ndiscord_gleam/http/request.new_auth_post\ndiscord_gleam/http/request new_auth_post","url":"discord_gleam/http/request.html#new_auth_post"},{"doc":"discord_gleam/http/request","title":"new_auth_with_header","content":"pub fn new_auth_with_header(\n  method: Method,\n  path: String,\n  token: String,\n  header: #(String, String),\n) -&gt; Request(String)\n Some endpoints requires token authentication\nSynonyms:\ndiscord_gleam/http/request.new_auth_with_header\ndiscord_gleam/http/request new_auth_with_header","url":"discord_gleam/http/request.html#new_auth_with_header"},{"doc":"discord_gleam/http/request","title":"new_post","content":"pub fn new_post(\n  method: Method,\n  path: String,\n  data: String,\n) -&gt; Request(String)\n We have this to send post requests\nSynonyms:\ndiscord_gleam/http/request.new_post\ndiscord_gleam/http/request new_post","url":"discord_gleam/http/request.html#new_post"},{"doc":"discord_gleam/http/request","title":"discord_gleam/http/request","content":"","url":"discord_gleam/http/request.html"},{"doc":"discord_gleam/types/message","title":"Embed","content":"pub type Embed {\n  Embed(title: String, description: String, color: Int)\n}\n\nEmbed(title: String, description: String, color: Int)\n\n\nSynonyms:\ndiscord_gleam/types/message.Embed\ndiscord_gleam/types/message Embed","url":"discord_gleam/types/message.html#Embed"},{"doc":"discord_gleam/types/message","title":"Message","content":"pub type Message {\n  Message(content: String, embeds: List(Embed))\n}\n\nMessage(content: String, embeds: List(Embed))\n\n\nSynonyms:\ndiscord_gleam/types/message.Message\ndiscord_gleam/types/message Message","url":"discord_gleam/types/message.html#Message"},{"doc":"discord_gleam/types/message","title":"embed_to_json","content":"pub fn embed_to_json(embed: Embed) -&gt; Json\n\nSynonyms:\ndiscord_gleam/types/message.embed_to_json\ndiscord_gleam/types/message embed_to_json","url":"discord_gleam/types/message.html#embed_to_json"},{"doc":"discord_gleam/types/message","title":"to_string","content":"pub fn to_string(msg: Message) -&gt; String\n\nSynonyms:\ndiscord_gleam/types/message.to_string\ndiscord_gleam/types/message to_string","url":"discord_gleam/types/message.html#to_string"},{"doc":"discord_gleam/types/message","title":"discord_gleam/types/message","content":"","url":"discord_gleam/types/message.html"},{"doc":"discord_gleam/types/reply","title":"Reply","content":"pub type Reply {\n  Reply(content: String, message_id: String, embeds: List(Embed))\n}\n\nReply(content: String, message_id: String, embeds: List(Embed))\n\n\nSynonyms:\ndiscord_gleam/types/reply.Reply\ndiscord_gleam/types/reply Reply","url":"discord_gleam/types/reply.html#Reply"},{"doc":"discord_gleam/types/reply","title":"embed_to_json","content":"pub fn embed_to_json(embed: Embed) -&gt; Json\n\nSynonyms:\ndiscord_gleam/types/reply.embed_to_json\ndiscord_gleam/types/reply embed_to_json","url":"discord_gleam/types/reply.html#embed_to_json"},{"doc":"discord_gleam/types/reply","title":"to_string","content":"pub fn to_string(msg: Reply) -&gt; String\n\nSynonyms:\ndiscord_gleam/types/reply.to_string\ndiscord_gleam/types/reply to_string","url":"discord_gleam/types/reply.html#to_string"},{"doc":"discord_gleam/types/reply","title":"discord_gleam/types/reply","content":"","url":"discord_gleam/types/reply.html"},{"doc":"discord_gleam/http/endpoints","title":"ban_member","content":"pub fn ban_member(\n  token: String,\n  guild_id: String,\n  user_id: String,\n  reason: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.ban_member\ndiscord_gleam/http/endpoints ban_member","url":"discord_gleam/http/endpoints.html#ban_member"},{"doc":"discord_gleam/http/endpoints","title":"delete_message","content":"pub fn delete_message(\n  token: String,\n  channel_id: String,\n  message_id: String,\n  reason: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.delete_message\ndiscord_gleam/http/endpoints delete_message","url":"discord_gleam/http/endpoints.html#delete_message"},{"doc":"discord_gleam/http/endpoints","title":"interaction_send_text","content":"pub fn interaction_send_text(\n  interaction: InteractionCreate,\n  message: String,\n  ephemeral: Bool,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.interaction_send_text\ndiscord_gleam/http/endpoints interaction_send_text","url":"discord_gleam/http/endpoints.html#interaction_send_text"},{"doc":"discord_gleam/http/endpoints","title":"kick_member","content":"pub fn kick_member(\n  token: String,\n  guild_id: String,\n  user_id: String,\n  reason: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.kick_member\ndiscord_gleam/http/endpoints kick_member","url":"discord_gleam/http/endpoints.html#kick_member"},{"doc":"discord_gleam/http/endpoints","title":"me","content":"pub fn me(token: String) -&gt; Result(User, DiscordError)\n\nSynonyms:\ndiscord_gleam/http/endpoints.me\ndiscord_gleam/http/endpoints me","url":"discord_gleam/http/endpoints.html#me"},{"doc":"discord_gleam/http/endpoints","title":"register_global_command","content":"pub fn register_global_command(\n  token: String,\n  client_id: String,\n  command: SlashCommand,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.register_global_command\ndiscord_gleam/http/endpoints register_global_command","url":"discord_gleam/http/endpoints.html#register_global_command"},{"doc":"discord_gleam/http/endpoints","title":"register_guild_command","content":"pub fn register_guild_command(\n  token: String,\n  client_id: String,\n  guild_id: String,\n  command: SlashCommand,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.register_guild_command\ndiscord_gleam/http/endpoints register_guild_command","url":"discord_gleam/http/endpoints.html#register_guild_command"},{"doc":"discord_gleam/http/endpoints","title":"reply","content":"pub fn reply(\n  token: String,\n  channel_id: String,\n  message: Reply,\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam/http/endpoints.reply\ndiscord_gleam/http/endpoints reply","url":"discord_gleam/http/endpoints.html#reply"},{"doc":"discord_gleam/http/endpoints","title":"send_message","content":"pub fn send_message(\n  token: String,\n  channel_id: String,\n  message: Message,\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam/http/endpoints.send_message\ndiscord_gleam/http/endpoints send_message","url":"discord_gleam/http/endpoints.html#send_message"},{"doc":"discord_gleam/http/endpoints","title":"wipe_global_commands","content":"pub fn wipe_global_commands(\n  token: String,\n  client_id: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.wipe_global_commands\ndiscord_gleam/http/endpoints wipe_global_commands","url":"discord_gleam/http/endpoints.html#wipe_global_commands"},{"doc":"discord_gleam/http/endpoints","title":"wipe_guild_commands","content":"pub fn wipe_guild_commands(\n  token: String,\n  client_id: String,\n  guild_id: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam/http/endpoints.wipe_guild_commands\ndiscord_gleam/http/endpoints wipe_guild_commands","url":"discord_gleam/http/endpoints.html#wipe_guild_commands"},{"doc":"discord_gleam/http/endpoints","title":"discord_gleam/http/endpoints","content":"","url":"discord_gleam/http/endpoints.html"},{"doc":"discord_gleam/ws/packets/hello","title":"HelloPacket","content":"pub type HelloPacket {\n  HelloPacket(op: Int, d: HelloPacketData)\n}\n\nHelloPacket(op: Int, d: HelloPacketData)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/hello.HelloPacket\ndiscord_gleam/ws/packets/hello HelloPacket","url":"discord_gleam/ws/packets/hello.html#HelloPacket"},{"doc":"discord_gleam/ws/packets/hello","title":"HelloPacketData","content":"pub type HelloPacketData {\n  HelloPacketData(heartbeat_interval: Int)\n}\n\nHelloPacketData(heartbeat_interval: Int)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/hello.HelloPacketData\ndiscord_gleam/ws/packets/hello HelloPacketData","url":"discord_gleam/ws/packets/hello.html#HelloPacketData"},{"doc":"discord_gleam/ws/packets/hello","title":"string_to_data","content":"pub fn string_to_data(encoded: String) -&gt; Int\n\nSynonyms:\ndiscord_gleam/ws/packets/hello.string_to_data\ndiscord_gleam/ws/packets/hello string_to_data","url":"discord_gleam/ws/packets/hello.html#string_to_data"},{"doc":"discord_gleam/ws/packets/hello","title":"discord_gleam/ws/packets/hello","content":"","url":"discord_gleam/ws/packets/hello.html"},{"doc":"discord_gleam/ws/packets/identify","title":"IdentifyPacket","content":"pub type IdentifyPacket {\n  IdentifyPacket(op: Int, d: IndentifyData)\n}\n\nIdentifyPacket(op: Int, d: IndentifyData)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/identify.IdentifyPacket\ndiscord_gleam/ws/packets/identify IdentifyPacket","url":"discord_gleam/ws/packets/identify.html#IdentifyPacket"},{"doc":"discord_gleam/ws/packets/identify","title":"IdentifyProperties","content":"pub type IdentifyProperties {\n  IdentifyProperties(os: String, browser: String, device: String)\n}\n\nIdentifyProperties(os: String, browser: String, device: String)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/identify.IdentifyProperties\ndiscord_gleam/ws/packets/identify IdentifyProperties","url":"discord_gleam/ws/packets/identify.html#IdentifyProperties"},{"doc":"discord_gleam/ws/packets/identify","title":"IndentifyData","content":"pub type IndentifyData {\n  IndentifyData(\n    token: String,\n    intents: Int,\n    properties: IdentifyProperties,\n  )\n}\n\nIndentifyData(\n  token: String,\n  intents: Int,\n  properties: IdentifyProperties,\n)\n\n\nSynonyms:\ndiscord_gleam/ws/packets/identify.IndentifyData\ndiscord_gleam/ws/packets/identify IndentifyData","url":"discord_gleam/ws/packets/identify.html#IndentifyData"},{"doc":"discord_gleam/ws/packets/identify","title":"create_packet","content":"pub fn create_packet(token: String) -&gt; String\n\nSynonyms:\ndiscord_gleam/ws/packets/identify.create_packet\ndiscord_gleam/ws/packets/identify create_packet","url":"discord_gleam/ws/packets/identify.html#create_packet"},{"doc":"discord_gleam/ws/packets/identify","title":"discord_gleam/ws/packets/identify","content":"","url":"discord_gleam/ws/packets/identify.html"},{"doc":"discord_gleam/ws/event_loop","title":"Msg","content":"pub type Msg {\n  Close\n  TimeUpdated(String)\n}\n\nClose\n\n\nTimeUpdated(String)\n\n\nSynonyms:\ndiscord_gleam/ws/event_loop.Msg\ndiscord_gleam/ws/event_loop Msg","url":"discord_gleam/ws/event_loop.html#Msg"},{"doc":"discord_gleam/ws/event_loop","title":"State","content":"pub type State {\n  State(has_received_hello: Bool, s: Int)\n}\n\nState(has_received_hello: Bool, s: Int)\n\n\nSynonyms:\ndiscord_gleam/ws/event_loop.State\ndiscord_gleam/ws/event_loop State","url":"discord_gleam/ws/event_loop.html#State"},{"doc":"discord_gleam/ws/event_loop","title":"main","content":"pub fn main(\n  bot: Bot,\n  event_handlers: List(fn(Bot, Packet) -&gt; Nil),\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam/ws/event_loop.main\ndiscord_gleam/ws/event_loop main","url":"discord_gleam/ws/event_loop.html#main"},{"doc":"discord_gleam/ws/event_loop","title":"discord_gleam/ws/event_loop","content":"","url":"discord_gleam/ws/event_loop.html"},{"doc":"discord_gleam","title":"ban_member","content":"pub fn ban_member(\n  bot: Bot,\n  guild_id: String,\n  user_id: String,\n  reason: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam.ban_member\ndiscord_gleam ban_member","url":"discord_gleam.html#ban_member"},{"doc":"discord_gleam","title":"bot","content":"pub fn bot(token: String) -&gt; Bot\n\nSynonyms:\ndiscord_gleam.bot\ndiscord_gleam bot","url":"discord_gleam.html#bot"},{"doc":"discord_gleam","title":"delete_message","content":"pub fn delete_message(\n  bot: Bot,\n  channel_id: String,\n  message_id: String,\n  reason: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam.delete_message\ndiscord_gleam delete_message","url":"discord_gleam.html#delete_message"},{"doc":"discord_gleam","title":"interaction_reply_message","content":"pub fn interaction_reply_message(\n  interaction: InteractionCreate,\n  message: String,\n  ephemeral: Bool,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam.interaction_reply_message\ndiscord_gleam interaction_reply_message","url":"discord_gleam.html#interaction_reply_message"},{"doc":"discord_gleam","title":"kick_member","content":"pub fn kick_member(\n  bot: Bot,\n  guild_id: String,\n  user_id: String,\n  reason: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam.kick_member\ndiscord_gleam kick_member","url":"discord_gleam.html#kick_member"},{"doc":"discord_gleam","title":"register_global_commands","content":"pub fn register_global_commands(\n  bot: Bot,\n  client_id: String,\n  commands: List(SlashCommand),\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam.register_global_commands\ndiscord_gleam register_global_commands","url":"discord_gleam.html#register_global_commands"},{"doc":"discord_gleam","title":"register_guild_commands","content":"pub fn register_guild_commands(\n  bot: Bot,\n  client_id: String,\n  guild_id: String,\n  commands: List(SlashCommand),\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam.register_guild_commands\ndiscord_gleam register_guild_commands","url":"discord_gleam.html#register_guild_commands"},{"doc":"discord_gleam","title":"reply","content":"pub fn reply(\n  bot: Bot,\n  channel_id: String,\n  message_id: String,\n  message: String,\n  embeds: List(Embed),\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam.reply\ndiscord_gleam reply","url":"discord_gleam.html#reply"},{"doc":"discord_gleam","title":"run","content":"pub fn run(\n  bot: Bot,\n  event_handlers: List(fn(Bot, Packet) -&gt; Nil),\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam.run\ndiscord_gleam run","url":"discord_gleam.html#run"},{"doc":"discord_gleam","title":"send_message","content":"pub fn send_message(\n  bot: Bot,\n  channel_id: String,\n  message: String,\n  embeds: List(Embed),\n) -&gt; Nil\n\nSynonyms:\ndiscord_gleam.send_message\ndiscord_gleam send_message","url":"discord_gleam.html#send_message"},{"doc":"discord_gleam","title":"wipe_global_commands","content":"pub fn wipe_global_commands(\n  bot: Bot,\n  client_id: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam.wipe_global_commands\ndiscord_gleam wipe_global_commands","url":"discord_gleam.html#wipe_global_commands"},{"doc":"discord_gleam","title":"wipe_guild_commands","content":"pub fn wipe_guild_commands(\n  bot: Bot,\n  client_id: String,\n  guild_id: String,\n) -&gt; #(String, String)\n\nSynonyms:\ndiscord_gleam.wipe_guild_commands\ndiscord_gleam wipe_guild_commands","url":"discord_gleam.html#wipe_guild_commands"},{"doc":"discord_gleam","title":"discord_gleam","content":"","url":"discord_gleam.html"},{"doc":"discord_gleam/logger","title":"println","content":"pub fn println(content: String, log_type: String) -&gt; Nil\n Logging types: log (default), info, warn, error\n Prints like this: 2024-01-01 12:00:00 | LOG_TYPE | Content\n Example: println(&quot;Hello, world!&quot;, &quot;info&quot;)\nSynonyms:\ndiscord_gleam/logger.println\ndiscord_gleam/logger println","url":"discord_gleam/logger.html#println"},{"doc":"discord_gleam/logger","title":"discord_gleam/logger","content":"","url":"discord_gleam/logger.html"}]);